%define mod_name	retry_decorator
%define pkg_name	retry-decorator

Name:		python-%{mod_name}
Summary:	Decorator for retrying when exceptions occur
Version:	1.0.0
Release:	%mkrel 7
Source0:	%{pkg_name}-%{version}.tar.gz
URL:		https://github.com/pnpnpn/retry-decorator
Group:		Development/Python
License:	MIT
BuildArch:	noarch
BuildRequires:	python-setuptools
	
%description
Decorator for retrying when exceptions occur.

%package -n python3-%{mod_name}
Summary:	Decorator for retrying when exceptions occur
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-%{mod_name}
Decorator for retrying when exceptions occur.

%prep
%setup -q -n %{pkg_name}-%{version}
%autopatch -p1
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc CHANGES.txt README.rst LICENSE.txt
%{python_sitelib}/%{mod_name}
%{python_sitelib}/%{mod_name}-%{version}-*.egg-info

%files -n python3-%{mod_name}
%doc CHANGES.txt README.rst LICENSE.txt
%{python3_sitelib}/%{mod_name} 
%{python3_sitelib}/%{mod_name}-%{version}-*.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 970940
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.0.0-6.mga6
+ Revision: 888868
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 739128
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-4.mga5
+ Revision: 729651
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 688310
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.0-2.mga5
+ Revision: 628992
- Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.0.0-1.mga4
+ Revision: 555936
- imported package python-retry_decorator

